<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.configuration2.reloading (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.configuration2.reloading (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/plist/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/resolver/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.commons.configuration2.reloading</h1>
<div class="docSummary">
<div class="block">
 This package contains classes and interfaces related to the reloading mechanism.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/ManagedReloadingDetectorMBean.html" title="interface in org.apache.commons.configuration2.reloading">ManagedReloadingDetectorMBean</a></td>
<td class="colLast">
<div class="block">MBean definition for managing configuration reload.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingControllerSupport.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingControllerSupport</a></td>
<td class="colLast">
<div class="block">
 Definition of an interface to be implemented by components which support
 reloading operations managed by a <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading"><code>ReloadingController</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></td>
<td class="colLast">
<div class="block">
 An interface to be implemented by objects which can detect whether a reload
 operation is required.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html" title="class in org.apache.commons.configuration2.reloading">CombinedReloadingController</a></td>
<td class="colLast">
<div class="block">
 A specialized <code>ReloadingController</code> implementation which manages an
 arbitrary number of other <code>ReloadingController</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">FileHandlerReloadingDetector</a></td>
<td class="colLast">
<div class="block">
 A specialized implementation of <code>ReloadingDetector</code> which monitors a
 file specified by a <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io"><code>FileHandler</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/ManagedReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">ManagedReloadingDetector</a></td>
<td class="colLast">
<div class="block">A strategy to reload configuration based on management requests.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/PeriodicReloadingTrigger.html" title="class in org.apache.commons.configuration2.reloading">PeriodicReloadingTrigger</a></td>
<td class="colLast">
<div class="block">
 A timer-based trigger for reloading checks.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a></td>
<td class="colLast">
<div class="block">
 A class for adding support for reload operations in a generic way.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingEvent.html" title="class in org.apache.commons.configuration2.reloading">ReloadingEvent</a></td>
<td class="colLast">
<div class="block">
 An event that is fired when a reload operation is required.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/configuration2/reloading/VFSFileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading">VFSFileHandlerReloadingDetector</a></td>
<td class="colLast">
<div class="block">
 A file-based reloading strategy that uses <a
 href="http://commons.apache.org/vfs/">Commons VFS</a> to determine when a
 file was changed.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.commons.configuration2.reloading Description">Package org.apache.commons.configuration2.reloading Description</h2>
<div class="block"><p>
 This package contains classes and interfaces related to the reloading mechanism.
 </p>
 <p>
 Using these classes it is possible to monitor configuration sources for
 external changes. When a change is detected notifications are sent out.
 In collaboration with a <em>configuration builder</em> reloading can happen
 transparently in background.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: package-info.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/plist/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/apache/commons/configuration2/resolver/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
